Bug 1006111 - winxp could do hibernate with "-global PIIX4_PM.disable_s4=1"
winxp could do hibernate with "-global PIIX4_PM.disable_s4=1"
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: seabios (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity high
: rc
: 7.0
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 23:43 EDT by guo jiang
Modified: 2014-01-02 05:41 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 05:41:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
powercfg -a (3.12 KB, image/png)
2013-09-10 00:20 EDT, guo jiang
no flags Details
hibernating (9.34 KB, image/png)
2013-09-10 00:43 EDT, guo jiang
no flags Details
win2k3-32 powercfg -a (34.84 KB, image/png)
2013-09-10 01:52 EDT, guo jiang
no flags Details

  None (edit)
Description guo jiang 2013-09-09 23:43:42 EDT
Description of problem:
winxp guest could do hibernate with "-global PIIX4_PM.disable_s4=1" on rhel6 host.

Version-Release number of selected component (if applicable):
  Red Hat Enterprise Linux Server release 6.4 (Santiago)
  kernel-2.6.32-414.el6.x86_64    
  qemu-kvm-rhev-0.12.1.2-2.397.el6.x86_64
  virtio-win-prewhql-0.1-68
  spice-server-0.12.4-2.el6.x86_64
  seabios-0.6.1.2-28.el6.x86_64
  vgabios-0.6b-3.7.el6.noarch

How reproducible:
always

Steps to Reproduce:
1.Boot guest /w "-global PIIX4_PM.disable_s3=1 -global PIIX4_PM.disable_s4=1" 
/usr/libexec/qemu-kvm \
-M rhel6.5.0 \
-m 2G \
-smp 2,cores=2 \
-cpu cpu64-rhel6 \
-usb \
-device usb-tablet \
-drive file=winxp-32.raw,format=raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none \
-device virtio-blk-pci,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 \
-netdev tap,sndbuf=0,id=hostnet0,script=/etc/qemu-ifup,downscript=no \
-device rtl8139,netdev=hostnet0,mac=00:53:55:51:3c:a0,bus=pci.0,addr=0x6 \
-netdev tap,sndbuf=0,id=hostnet1,script=/etc/qemu-ifup0,downscript=no \
-device rtl8139,netdev=hostnet1,mac=00:53:45:51:3c:10,bus=pci.0,addr=0x7 \
-uuid 179270aa-45bb-4394-a9cf-3e8114d8556e \
-no-kvm-pit-reinjection \
-drive file=disk1.raw,if=none,id=drive-virtio1,cache=none,werror=stop,rerror=stop,format=raw \
-device virtio-blk-pci,drive=drive-virtio1,id=virtio-blk-pci1 \
-drive file=disk2.raw,if=none,id=drive-virtio2,cache=none,werror=stop,rerror=stop,format=raw \
-device virtio-blk-pci,drive=drive-virtio2,id=virtio-blk-pci2 \
-drive file=disk3.raw,if=none,id=drive-virtio3,cache=none,werror=stop,rerror=stop,format=raw \
-device virtio-blk-pci,drive=drive-virtio3,id=virtio-blk-pci3 \
-drive file=disk4.raw,if=none,id=drive-virtio4,cache=none,werror=stop,rerror=stop,format=raw \
-device virtio-blk-pci,drive=drive-virtio4,id=virtio-blk-pci4 \
-chardev socket,id=111a,path=/tmp/monitor-winxp-32-block,server,nowait \
-mon chardev=111a,mode=readline \
-name winxp32-block-48 \
-vnc :1 \
-vga cirrus \
-rtc base=localtime,clock=host,driftfix=slew \
-global PIIX4_PM.disable_s3=1 \
-global PIIX4_PM.disable_s4=1 \
-monitor stdio

2.do s4

3.

Actual results:
1.in guest 
>powercfg -a
 The following sleep states are available on this system:Hiberate
 The following sleep states are not available on this system:
 standby (S1)
 standby (S2)
 standby (S3)
2.guest could do hibernate

Expected results:
guest could no do hibernate with "-global PIIX4_PM.disable_s4=1"

Additional info:
Comment 2 guo jiang 2013-09-10 00:20:27 EDT
Created attachment 795818 [details]
powercfg -a
Comment 3 guo jiang 2013-09-10 00:43:32 EDT
Created attachment 795819 [details]
hibernating
Comment 4 guo jiang 2013-09-10 01:51:05 EDT
win2k3-32 hit the same issue /w "global PIIX4_PM.disable_s4=1"
powercfg -a info will be upload.
Comment 5 guo jiang 2013-09-10 01:52:02 EDT
Created attachment 795832 [details]
win2k3-32 powercfg -a
Comment 6 Vadim Rozenfeld 2013-09-10 05:04:28 EDT
Could you confirm that Hibernation is enabled in Power options?
Comment 7 Mike Cao 2013-09-11 05:25:38 EDT
(In reply to Vadim Rozenfeld from comment #6)
> Could you confirm that Hibernation is enabled in Power options?

It should blocked guest hibernation with "the firmware do not support hibernate(s4)" even it is enabled in Power options
Comment 8 Vadim Rozenfeld 2013-09-11 05:57:26 EDT
(In reply to Mike Cao from comment #7)
> (In reply to Vadim Rozenfeld from comment #6)
> > Could you confirm that Hibernation is enabled in Power options?
> 
> It should blocked guest hibernation with "the firmware do not support
> hibernate(s4)" even it is enabled in Power options

Hi Mike,
I mean, if the hibernate option is enabled and S4 is enabled in qemu line 
like "global PIIX4_PM.disable_s4=0", can you hibernate the VM in this case?

Thanks,
Vadim.
Comment 9 guo jiang 2013-09-11 06:16:28 EDT
(In reply to Vadim Rozenfeld from comment #8)
> (In reply to Mike Cao from comment #7)
> > (In reply to Vadim Rozenfeld from comment #6)
> > > Could you confirm that Hibernation is enabled in Power options?
> > 
> > It should blocked guest hibernation with "the firmware do not support
> > hibernate(s4)" even it is enabled in Power options
> 
> Hi Mike,
> I mean, if the hibernate option is enabled and S4 is enabled in qemu line 
> like "global PIIX4_PM.disable_s4=0", can you hibernate the VM in this case?
> 
> Thanks,
> Vadim.
Hi Vadim,
 Hibernation is enabled in power options and could do hibernate with "-gloaal PIIX4_PM.disable_s4=0" in qemu line.

Jiang

Note You need to log in before you can comment on or make changes to this bug.